com.jscape.inet.mft.audit.reporting.metricses

## Class GeneralStatistics

- java.lang.Object
- - com.jscape.inet.mft.audit.reporting.metricses.GeneralStatistics

- All Implemented Interfaces:
    Metrics<GeneralStatistics.Visitor>, com.jscape.util.Copyable<Metrics>, com.jscape.util.Visitable<GeneralStatistics.Visitor>

      public class GeneralStatistics
      extends java.lang.Object
      implements Metrics<GeneralStatistics.Visitor>

  General domain statistics.
  Author:
    Roman Sheshunov

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `GeneralStatistics.Visitor`

    - ### Nested classes/interfaces inherited from interface com.jscape.util.Visitable

      `com.jscape.util.Visitable.VisitorBase, com.jscape.util.Visitable.VisitorException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneralStatistics()` Creates a new metrics instance.
    `GeneralStatistics(TotalSessions totalSessions, TotalUploads totalUploads, TotalUniqueIps uniqueIps, TotalDownloads totalDownloads, TotalBytesUploaded totalBytesUploaded, TotalBytesDownloaded totalBytesDownloaded, TotalFileAttachmentsSent totalAttachmentsSent, TotalFileAttachmentsReceived totalAttachmentsReceived, TotalFileAttachmentBytesSent totalBytesAttachmentSent, TotalFileAttachmentBytesReceived totalBytesAttachmentReceived, TotalExternalUploads totalExternalUploads, TotalExternalDownloads totalExternalDownloads, TotalExternalBytesUploads totalExternalBytesUploaded, TotalExternalBytesDownloaded totalExternalBytesDownloaded)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `accept(GeneralStatistics.Visitor visitor)` Backwards dispatching entry point.
    `GeneralStatistics` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getTotalAttachmentsReceived()` Returns total attachments received count.
    `long` | `getTotalAttachmentsSent()` Returns total attachments sent count.
    `long` | `getTotalBytesAttachmentReceived()` Returns total bytes attachment received.
    `long` | `getTotalBytesAttachmentSent()` Returns total bytes attachment sent.
    `long` | `getTotalBytesDownloaded()` Returns total bytes downloaded.
    `long` | `getTotalBytesUploaded()` Returns total bytes uploaded.
    `long` | `getTotalDownloads()` Returns total downloads count.
    `long` | `getTotalExternalBytesDownloaded()` Returns total external bytes downloaded.
    `long` | `getTotalExternalBytesUploaded()` Returns total external bytes uploaded.
    `long` | `getTotalExternalDownloads()` Returns total external downloads count.
    `long` | `getTotalExternalUploads()` Returns total external uploads count.
    `long` | `getTotalSessions()` Returns total sessions count.
    `long` | `getTotalUniqueIps()` Returns total unique IPs count.
    `long` | `getTotalUploads()` Returns total uploads count.
    `java.util.Set` | `getUniqueIps()` Returns unique IPs set.
    `void` | `reset()` Resets metrics data.
    `void` | `setTotalAttachmentsReceived(long value)` Sets total attachments received count.
    `void` | `setTotalAttachmentsSent(long value)` Sets total attachments sent count.
    `void` | `setTotalBytesAttachmentReceived(long value)` Sets total bytes attachment received.
    `void` | `setTotalBytesAttachmentSent(long value)` Sets total bytes attachment sent.
    `void` | `setTotalBytesDownloaded(long value)` Sets total bytes downloaded.
    `void` | `setTotalBytesUploaded(long value)` Sets total bytes uploaded.
    `void` | `setTotalDownloads(long value)` Sets total downloads count.
    `void` | `setTotalExternalBytesDownloaded(long value)` Sets total external bytes downloaded.
    `void` | `setTotalExternalBytesUploaded(long value)` Sets total external bytes uploaded.
    `void` | `setTotalExternalDownloads(long value)` Sets total external downloads count.
    `void` | `setTotalExternalUploads(long value)` Sets total external uploads count.
    `void` | `setTotalSessions(long value)` Sets total sessions count.
    `void` | `setTotalUniqueIps(int value)`
    `void` | `setTotalUploads(long value)` Sets total uploads count.
    `void` | `setUniqueIps(java.util.Set uniqueIps)` Sets unique IPs set.
    `java.lang.String` | `toString()`
    `void` | `update(Report report, com.jscape.inet.mft.LogRecord record)` Updates metrics with log record.

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralStatistics

          public GeneralStatistics()

      Creates a new metrics instance.

    - #### GeneralStatistics

          public GeneralStatistics(TotalSessions totalSessions,
                                   TotalUploads totalUploads,
                                   TotalUniqueIps uniqueIps,
                                   TotalDownloads totalDownloads,
                                   TotalBytesUploaded totalBytesUploaded,
                                   TotalBytesDownloaded totalBytesDownloaded,
                                   TotalFileAttachmentsSent totalAttachmentsSent,
                                   TotalFileAttachmentsReceived totalAttachmentsReceived,
                                   TotalFileAttachmentBytesSent totalBytesAttachmentSent,
                                   TotalFileAttachmentBytesReceived totalBytesAttachmentReceived,
                                   TotalExternalUploads totalExternalUploads,
                                   TotalExternalDownloads totalExternalDownloads,
                                   TotalExternalBytesUploads totalExternalBytesUploaded,
                                   TotalExternalBytesDownloaded totalExternalBytesDownloaded)

  - ### Method Detail

    - #### update

          public void update(Report report,
                             com.jscape.inet.mft.LogRecord record)

      Description copied from interface: `Metrics`
      Updates metrics with log record.
      Specified by:
        `update` in interface `Metrics<GeneralStatistics.Visitor>`
      Parameters:
        `report` - report instance
        `record` - log record

    - #### reset

          public void reset()

      Description copied from interface: `Metrics`
      Resets metrics data.
      Specified by:
        `reset` in interface `Metrics<GeneralStatistics.Visitor>`

    - #### copy

          public GeneralStatistics copy()

      Specified by:
        `copy` in interface `com.jscape.util.Copyable<Metrics>`

    - #### accept

          public java.lang.Object accept(GeneralStatistics.Visitor visitor)
                                  throws com.jscape.util.Visitable.VisitorException

      Description copied from interface: `com.jscape.util.Visitable`
      Backwards dispatching entry point.
      Specified by:
        `accept` in interface `com.jscape.util.Visitable<GeneralStatistics.Visitor>`
      Parameters:
        `visitor` - a visitor instance
      Returns:
        a visit result if any
      Throws:
        `com.jscape.util.Visitable.VisitorException` - if an error occurs

    - #### getTotalSessions

          public long getTotalSessions()

      Returns total sessions count.
      Returns:
        total sessions count

    - #### setTotalSessions

          public void setTotalSessions(long value)

      Sets total sessions count.
      Parameters:
        `value` - total sessions count

    - #### getTotalUniqueIps

          public long getTotalUniqueIps()

      Returns total unique IPs count.
      Returns:
        total unique IPs count

    - #### setTotalUniqueIps

          public void setTotalUniqueIps(int value)

    - #### getUniqueIps

          public java.util.Set getUniqueIps()

      Returns unique IPs set.
      Returns:
        unique IPs set

    - #### setUniqueIps

          public void setUniqueIps(java.util.Set uniqueIps)

      Sets unique IPs set.
      Parameters:
        `uniqueIps` - unique IPs set

    - #### getTotalUploads

          public long getTotalUploads()

      Returns total uploads count.
      Returns:
        total uploads count

    - #### setTotalUploads

          public void setTotalUploads(long value)

      Sets total uploads count.
      Parameters:
        `value` - total uploads count

    - #### getTotalDownloads

          public long getTotalDownloads()

      Returns total downloads count.
      Returns:
        total downloads count

    - #### setTotalDownloads

          public void setTotalDownloads(long value)

      Sets total downloads count.
      Parameters:
        `value` - total downloads count

    - #### getTotalBytesUploaded

          public long getTotalBytesUploaded()

      Returns total bytes uploaded.
      Returns:
        total bytes uploaded

    - #### setTotalBytesUploaded

          public void setTotalBytesUploaded(long value)

      Sets total bytes uploaded.
      Parameters:
        `value` - total bytes uploaded

    - #### getTotalBytesDownloaded

          public long getTotalBytesDownloaded()

      Returns total bytes downloaded.
      Returns:
        total bytes downloaded

    - #### setTotalBytesDownloaded

          public void setTotalBytesDownloaded(long value)

      Sets total bytes downloaded.
      Parameters:
        `value` - total bytes downloaded

    - #### getTotalExternalUploads

          public long getTotalExternalUploads()

      Returns total external uploads count.
      Returns:
        total external uploads count.

    - #### setTotalExternalUploads

          public void setTotalExternalUploads(long value)

      Sets total external uploads count.
      Parameters:
        `value` - total external uploads count.

    - #### getTotalExternalDownloads

          public long getTotalExternalDownloads()

      Returns total external downloads count.
      Returns:
        total external downloads count.

    - #### setTotalExternalDownloads

          public void setTotalExternalDownloads(long value)

      Sets total external downloads count.
      Parameters:
        `value` - total external downloads count.

    - #### getTotalExternalBytesUploaded

          public long getTotalExternalBytesUploaded()

      Returns total external bytes uploaded.
      Returns:
        total external bytes uploaded

    - #### setTotalExternalBytesUploaded

          public void setTotalExternalBytesUploaded(long value)

      Sets total external bytes uploaded.
      Parameters:
        `value` - total external bytes uploaded

    - #### getTotalExternalBytesDownloaded

          public long getTotalExternalBytesDownloaded()

      Returns total external bytes downloaded.
      Returns:
        total external bytes downloaded

    - #### setTotalExternalBytesDownloaded

          public void setTotalExternalBytesDownloaded(long value)

      Sets total external bytes downloaded.
      Parameters:
        `value` - total external bytes downloaded

    - #### getTotalAttachmentsSent

          public long getTotalAttachmentsSent()

      Returns total attachments sent count.
      Returns:
        total attachments sent count.

    - #### setTotalAttachmentsSent

          public void setTotalAttachmentsSent(long value)

      Sets total attachments sent count.
      Parameters:
        `value` - total attachments sent count.

    - #### getTotalAttachmentsReceived

          public long getTotalAttachmentsReceived()

      Returns total attachments received count.
      Returns:
        total attachments received count.

    - #### setTotalAttachmentsReceived

          public void setTotalAttachmentsReceived(long value)

      Sets total attachments received count.
      Parameters:
        `value` - total attachments received count.

    - #### getTotalBytesAttachmentSent

          public long getTotalBytesAttachmentSent()

      Returns total bytes attachment sent.
      Returns:
        total bytes attachment sent.

    - #### setTotalBytesAttachmentSent

          public void setTotalBytesAttachmentSent(long value)

      Sets total bytes attachment sent.
      Parameters:
        `value` - total bytes attachment sent.

    - #### getTotalBytesAttachmentReceived

          public long getTotalBytesAttachmentReceived()

      Returns total bytes attachment received.
      Returns:
        total bytes attachment received.

    - #### setTotalBytesAttachmentReceived

          public void setTotalBytesAttachmentReceived(long value)

      Sets total bytes attachment received.
      Parameters:
        `value` - total bytes attachment received.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved